Package org.apache.batchee.jaxrs.client.impl

## Class StepExecutionImpl

- java.lang.Object
- - org.apache.batchee.jaxrs.client.impl.StepExecutionImpl

- All Implemented Interfaces:
    `javax.batch.runtime.StepExecution`

      public class StepExecutionImpl
      extends Object
      implements javax.batch.runtime.StepExecution

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StepExecutionImpl​(long id, String name, javax.batch.runtime.BatchStatus batchStatus, String exitStatus, Date startTime, Date endTime, Serializable persistentUserData, javax.batch.runtime.Metric[] metrics)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `javax.batch.runtime.BatchStatus` | `getBatchStatus()` |
    `Date` | `getEndTime()` |
    `String` | `getExitStatus()` |
    `javax.batch.runtime.Metric[]` | `getMetrics()` |
    `Serializable` | `getPersistentUserData()` |
    `Date` | `getStartTime()` |
    `long` | `getStepExecutionId()` |
    `String` | `getStepName()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StepExecutionImpl

          public StepExecutionImpl​(long id,
                                   String name,
                                   javax.batch.runtime.BatchStatus batchStatus,
                                   String exitStatus,
                                   Date startTime,
                                   Date endTime,
                                   Serializable persistentUserData,
                                   javax.batch.runtime.Metric[] metrics)

  - ### Method Detail

    - #### getStepExecutionId

          public long getStepExecutionId()

      Specified by:
        `getStepExecutionId` in interface `javax.batch.runtime.StepExecution`

    - #### getStepName

          public String getStepName()

      Specified by:
        `getStepName` in interface `javax.batch.runtime.StepExecution`

    - #### getBatchStatus

          public javax.batch.runtime.BatchStatus getBatchStatus()

      Specified by:
        `getBatchStatus` in interface `javax.batch.runtime.StepExecution`

    - #### getStartTime

          public Date getStartTime()

      Specified by:
        `getStartTime` in interface `javax.batch.runtime.StepExecution`

    - #### getEndTime

          public Date getEndTime()

      Specified by:
        `getEndTime` in interface `javax.batch.runtime.StepExecution`

    - #### getExitStatus

          public String getExitStatus()

      Specified by:
        `getExitStatus` in interface `javax.batch.runtime.StepExecution`

    - #### getPersistentUserData

          public Serializable getPersistentUserData()

      Specified by:
        `getPersistentUserData` in interface `javax.batch.runtime.StepExecution`

    - #### getMetrics

          public javax.batch.runtime.Metric[] getMetrics()

      Specified by:
        `getMetrics` in interface `javax.batch.runtime.StepExecution`